Bug 244931 - Cosmetic? yum fails to display replaced arch
Summary: Cosmetic? yum fails to display replaced arch
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 21:33 UTC by Warren Togami
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 14:54:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2007-06-19 21:33:59 UTC
yum-3.2.0-1.fc7

http://kojiweb.fedoraproject.org/packages/gaim/2.0.0/0.31.beta6.fc6/
BEFORE: gaim.i386 and gaim.x86_64 from here are installed.

http://kojiweb.fedoraproject.org/packages/pidgin/2.0.0/3.fc7/
AFTER "local" repo is built with packages from x86_64 and i386 that would be
pulled into the repository by the multilib policy.  This means libpurple.i386,
libpurple-devel.i386, finch.i386, finch-devel.i386, pidgin-devel.i386 but NOT
pidgin.i386.

Description of Problem
It says "replacing  gaim.i386" but not gaim.x86_64.  But it does succeed in
removing gaim.x86_64.

[root@newcaprica tmp]# yum --disablerepo=\* --enablerepo=local update
Loading "installonlyn" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package pidgin.x86_64 0:2.0.2-3.fc7 set to be updated
---> Package libpurple.x86_64 0:2.0.2-3.fc7 set to be updated
---> Package libpurple.i386 0:2.0.2-3.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 libpurple               x86_64     2.0.2-3.fc7      local             6.0 M
     replacing  gaim.i386 2:2.0.0-0.31.beta6.fc6

 libpurple               i386       2.0.2-3.fc7      local             6.0 M
     replacing  gaim.i386 2:2.0.0-0.31.beta6.fc6

 pidgin                  x86_64     2.0.2-3.fc7      local             6.0 M
     replacing  gaim.i386 2:2.0.0-0.31.beta6.fc6


Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 18 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libpurple                    ######################### [1/5] 
  Installing: libpurple                    ######################### [2/5] 
  Installing: pidgin                       ######################### [3/5] 
  Removing  : gaim                         ######################### [4/5]
  Removing  : gaim                         ######################### [5/5]

Installed: libpurple.x86_64 0:2.0.2-3.fc7 libpurple.i386 0:2.0.2-3.fc7
pidgin.x86_64 0:2.0.2-3.fc7
Replaced: gaim.x86_64 2:2.0.0-0.31.beta6.fc6 gaim.i386 2:2.0.0-0.31.beta6.fc6
Complete!

Comment 1 Warren Togami 2007-06-19 21:55:00 UTC
http://kojiweb.fedoraproject.org/packages/pidgin/2.0.2/3.fc7/
Oops, the AFTER should be this.

Comment 2 Seth Vidal 2007-06-20 15:30:04 UTC
obsoletes aren't arch-specific in rpm. So if gets rid of one it'll clip the
others, too. 

Is this issue here that it's not pulling in all versions of pidgin or  that it
is not reporting accurately what it is doing?

Comment 3 Warren Togami 2007-06-20 17:59:12 UTC
> obsoletes aren't arch-specific in rpm. So if gets rid of one it'll clip the
> others, too. 

Huh?  pidgin.x86_64 obsoletes/provides gaim, yet it failed to get rid of
gaim.i386.  pidgin.i386 was not pulled into the multilib repo, so nothing was
getting rid of gaim.i386 and upgrades were failing.

I had to make libpurple.i386 obsoletes gaim in order to get rid of gaim.i386.

This behavior seems to indicate that obsoletes are arch-specific.

> Is this issue here that it's not pulling in all versions of pidgin or  that 
> it is not reporting accurately what it is doing?

It is not reporting accurately what it is doing.  It says "replacing" only
gaim.i386 but at the end gaim.x86_64 is removed.

Comment 4 Jeremy Katz 2007-12-31 14:54:26 UTC
Closing due to inactivity.  Please reopen or file a new bug if you have further
information to add to this bug report


Note You need to log in before you can comment on or make changes to this bug.